//= require <timeinfo>
//= require <hostnameform>
//= require <timeform>
//= require <apartmentid>
//= require <apartprogmode>
//= require <sshform>
//= require <location>

Ext.namespace('dSS11', 'dSS11.config', 'dSS11.sys');

dSS11.SysConfigPanel = Ext.extend(Ext.Panel,
    {
        initComponent: function()
        {
            Ext.apply(this, {
                hideBorders: true,
                autoScroll: true,
                items: [
                    {
                        padding: 6,
                        xtype: 'panel',
                        bodyBorder: false,
                        ref: 'system',
                        width: 400,
                        items:
                        [
                            {
                                xtype: 'fieldset',
                                title: _("System"),
                                height: 135,
                                ref: 'fset',
                                layout: 'vbox',
                                layoutConfig:
                                {
                                    align: 'stretch',
                                    pack: 'start'
                                },
                                items:
                                [
                                    {
                                        xtype: 'dss11syshostnameform',
                                        bodyBorder: false,
                                        ref: 'nameForm'
                                    },
                                    {
                                        xtype: 'dss11sshform',
                                        bodyBorder: false,
                                        ref: 'sshForm',
                                        maskEl: this.el
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        xtype: 'dss11syslocationform',
                        ref: 'locForm'
                    },
                    {
                        xtype: 'dss11systimeform',
                        ref: 'timeForm'
                    },
                    {
                        padding: 6,
                        xtype: 'panel',
                        bodyBorder: false,
                        ref: 'aprt',
                        width: 400,
                        items:
                        [
                            {
                                xtype: 'fieldset',
                                title: _("Apartment base address"),
                                height: 210,
                                ref: 'aprtfset',
                                layout: 'fit',
                                items:
                                [
                                    {
                                        xtype: 'dss11apartmentidform',
                                        bodyBorder: false,
                                        ref: 'apartmentIDForm',
                                        maskEl: this.el
                                    }
                                ]
                            }
                        ]
                    },
                    {
                        padding: 6,
                        xtype: 'panel',
                        bodyBorder: false,
                        ref: 'aprtp',
                        width: 400,
                        items:
                        [
                            {
                                xtype: 'fieldset',
                                title: _("Configure activities"),
                                height: 120,
                                ref: 'aprtpset',
                                layout: 'fit',
                                items:
                                [
                                    {
                                        xtype: 'dss11apartmentprogmodeform',
                                        bodyBorder: false,
                                        ref: 'apartmentProgModeForm',
                                        maskEl: this.el
                                    }
                                ]
                            }
                        ]
                    }
                ]
            });
            
            dSS11.SysConfigPanel.superclass.initComponent.apply(this, arguments);

           this.on('activate',
                    function() {
                        this.reloadData.defer(1000, this);
                    },
                    this);

        }, // initcomponent
        reloadData: function() {
            this.system.fset.nameForm.reloadHostName();
            this.aprt.aprtfset.apartmentIDForm.reloadApartmentID();
            this.aprtp.aprtpset.apartmentProgModeForm.reloadApartmentProgMode();
            this.system.fset.sshForm.reloadSSH();
            this.locForm.reloadLocationSettings();
            this.timeForm.reloadTimeSettings();
        }
    }
);

Ext.reg('dss11sysconfig', dSS11.SysConfigPanel);

